Pocket Plane Group

IWD Completed Mods => Icewind Dale NPCs => Topic started by: unreserved_Steve on July 04, 2008, 10:11:32 PM

Title: Installation error
Post by: unreserved_Steve on July 04, 2008, 10:11:32 PM
On running WeiDU, I'm getting many warnings "[OR] not found in TRIGGER.IDS" and finally:

WARNING: internal label [18] not found in processed DLG [DVALESTI]
Warning at src/dc.ml.387
ERROR: COPY_TRANS DVALESTI state #18 out of range 0-17, SKIPPED
ERROR: Cannot process COPY_TRANS
ERROR: processing COPY_TRANS [IWDNPC/Dialogue/Replace.d]: Failure("COPY_TRANS out of range")
Stopping installation because of error.

Icewind Dale without HoW/TotLM and without any other mods.
Title: Re: Installation error
Post by: Kulyok on July 05, 2008, 12:42:45 AM
Okay, I see.

First of all, are you running a Windows system or a Mac system? Because originally you posted in "Mac installation" topic.

1) I've been told OR() trigger exists in IWD(indeed, on installs with official expansion(s) it works fine, but without HoW/TotL I haven't seen it). Can anyone with necessary knowledge please confirm/reassure me either way?

2) I'd like to correct this error as soon as possible(tonight, if I can), but in my installation DVALESTI file is "correct".

Will you please do this for me: copy your Setup-IWD.exe to Weidu.exe and run this command in your IWD directory:
weidu dvalesti.dlg
You'll receive dvalesti.d - please, e-mail it to me to kulyok, at yandex.ru, or attach to your next post.
With this information, I'll try to solve the problem as soon as I can.
Title: Re: Installation error
Post by: unreserved_Steve on July 05, 2008, 01:37:53 AM
Yes, I'm running on a Mac.  The expansions never made it to the Mac so I'm limited to just IWD.

DVALESTI.d : http://home.comcast.net/~shorter18/DVALESTI.d
Title: Re: Installation error
Post by: Bearwere on July 05, 2008, 05:04:17 AM
Yes, I'm running on a Mac.  The expansions never made it to the Mac so I'm limited to just IWD.
not that it is a solution, but you could run IWD in virtual machine, using, say, virtualbox. I'm sure IWD is more convenient to play with expansions)
Title: Re: Installation error
Post by: Kulyok on July 05, 2008, 07:21:28 AM
Okay, thank you. I shall investigate and - possibly - update in a few hours for "pure"(no expansions) IWD users.
Title: Re: Installation error
Post by: Kulyok on July 05, 2008, 07:56:01 AM
I am really sorry, but you _will_ need Heart of Winter. I could try to recode the entire sequence for you, but the result will not be stable: without "Or's"(IWD without Heart of Winter indeed doesn't have OR() command), interjections will black out and kill your game, if the party member in question is dead, stunned or silenced.

It's my mistake - I updated the readme and the webpage; will post another thread now.